using System.ComponentModel.DataAnnotations;

namespace Fast.Models;
public class PriceIndexItem
{
    [Key] //need to set primary key for OData
    public int id { get; set; }

    [Display(Name = "Name")]
    public string name { get; set; } = "";

    [Display(Name = "Aliases")]
    public string aliases { get; set; } = "";

    [Display(Name = "Type")]
    public string indexType { get; set; } = "";

    [Display(Name = "Commodity")]
    public string commodity { get; set; } = "";

    [Display(Name = "Classification")]
    public string classification { get; set; } = "";

    [Display(Name = "Publication")]
    public string publication { get; set; } = "";

    [Display(Name = "Forward Curve")]
    public string forwardCurve { get; set; } = "";
}